#!/usr/bin/make

# xpopclk Version 1.0.0 - Population Clock for X Windows.
# Copyright (C) 2001-2004  dondalah@ripco.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Debian font
XFONT=\"8x16\"

# Slackware font
# XFONT=\"linux8x16\"

# Uncomment if you want the xpopclk window to
# appear in the upper left corner of your
# virtual desktop
# UPPERLEFT=-D UPPERLEFT

OBJ=xpopclk.o \
	astrint.o \
	greg2jd.o

CC=gcc

CFLAGS=-c -Wall -I/usr/X11R6/include/X11 \
	-DFONT=$(XFONT) \
	$(UPPERLEFT)

CFLG=-c -Wall

LDFLAGS=-L/usr/X11R6/lib -lX11 -lm

xpopclk:	$(OBJ)
	$(CC) -Wall $(OBJ) -o xpopclk $(LDFLAGS)
	# xpopclk 72897133

xpopclk.o:	xpopclk.c xpopclk.mak
	$(CC) $(CFLAGS) xpopclk.c

greg2jd.o:	greg2jd.c
	$(CC) $(CFLG) greg2jd.c

astrint.o:	astrint.c
	$(CC) $(CFLG) astrint.c

clean:
	rm -f $(OBJ) xpopclk
